> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evevps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Server

> Use this endpoint to create a server based on a resource pack. Before running the create method, use the other related endpoints to retrieve the required values, such as the resource pack ID and create ID.



## OpenAPI

````yaml /api/control-panel/resource-pack.json post /resourcePack/{resourcePackId}/{createId}
openapi: 3.0.1
info:
  title: 'Evevps Control Panel API: Resource Pack'
  description: >-
    Manage Evevps resource packs and create or delete servers inside them.


    ### Authentication


    Include your API token in the `Authorization` header of each request:


    ```

    Authorization: Bearer <your_api_token>

    ```


    If the token is missing, invalid, or expired, the API responds with `HTTP
    401 Unauthorized`.


    ### Data Format


    The API uses **JSON** for all requests and responses. Send `Content-Type:
    application/json` and `Accept: application/json` headers.


    ### Rate Limiting


    Each response includes `X-RateLimit-Limit`, `X-RateLimit-Remaining`, and
    `X-RateLimit-Reset` headers. When the limit is reached, the API responds
    with `HTTP 429 Too Many Requests`.


    ### Service Availability


    During maintenance the API returns `HTTP 503 Service Unavailable`. Retry
    later.
  version: 1.0.0
servers:
  - url: https://api.example.com/api
security: []
tags:
  - name: Resource Pack
paths:
  /resourcePack/{resourcePackId}/{createId}:
    post:
      tags:
        - Resource Pack
      summary: Create Server
      description: >-
        Use this endpoint to create a server based on a resource pack. Before
        running the create method, use the other related endpoints to retrieve
        the required values, such as the resource pack ID and create ID.
      parameters:
        - name: resourcePackId
          in: path
          required: true
          schema:
            type: integer
        - name: createId
          in: path
          required: true
          example: 5b342c362c382c362c31325d
          schema:
            type: string
        - $ref: '#/components/parameters/Accept'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                memory:
                  type: integer
                  description: Only required for variable values
                storage:
                  type: integer
                  description: Only required for variable values
                cpuCores:
                  type: integer
                  description: Only required for variable values
            example:
              memory: 10
              storage: 20
              cpuCores: 60
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
              example:
                id: 154b6d58-4385-4288-a637-a71f51cade3d
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/Unprocessable'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearer: []
components:
  parameters:
    Accept:
      name: Accept
      in: header
      required: true
      example: application/json
      schema:
        type: string
        enum:
          - application/json
  responses:
    Unauthorized:
      description: Unauthorized
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
    Unprocessable:
      description: Unprocessable Entity
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Errors'
    TooManyRequests:
      description: Too Many Requests
  schemas:
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
      example:
        errors:
          - This is an error returned from the API
          - This is another error return from the API
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.